# Method: applications.dataSafety

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/applications/dataSafety#try-it)

Writes the Safety Labels declaration of an app.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/dataSafety`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. Package name of the app. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "safetyLabels": string } ``` |

| Fields ||
|---|---|
| `safetyLabels` | `string` Required. Contents of the CSV file containing Data Safety responses. For the format of this file, see the Help Center documentation at <https://support.google.com/googleplay/android-developer/answer/10787469#zippy=%2Cunderstand-the-csv-format> To download an up to date template, follow the steps at <https://support.google.com/googleplay/android-developer/answer/10787469#zippy=%2Cexport-to-a-csv-file> |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`